﻿using Ecng.Serialization;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace PortfolioGridLoader
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        SettingsWindow settingsWindow;
        SettingsStorage portfiloGridSettingsStorage;

        public MainWindow()
        {
            InitializeComponent();
        }

        private void OpenSettingButton_Click(object sender, RoutedEventArgs e)
        {
            settingsWindow = new SettingsWindow(portfiloGridSettingsStorage);
            settingsWindow.Show();
            settingsWindow.Closing += SettingsWindow_Closing;
        }

        private void SettingsWindow_Closing(object sender, CancelEventArgs e)
        {
            portfiloGridSettingsStorage = settingsWindow.PortfiloGridSettingsStorage;
        }
    }
}
